import { P2P } from '@shardeum-foundation/lib-types';
import { SQLDataTypes } from '../storage/utils/schemaDefintions';
/** STATE */
export declare const cycleDataName = "apoptosized";
export declare const cycleUpdatesName = "apoptosis";
export declare const nodeDownString = "node is down";
export declare const nodeNotDownString = "node is not down";
/** FUNCTIONS */
export declare function init(): void;
export declare function reset(): void;
export declare function getTxs(): P2P.ApoptosisTypes.Txs;
export declare function validateRecordTypes(rec: P2P.ApoptosisTypes.Record): string;
export declare function dropInvalidTxs(txs: P2P.ApoptosisTypes.Txs): P2P.ApoptosisTypes.Txs;
export declare function updateRecord(txs: P2P.ApoptosisTypes.Txs, record: P2P.ApoptosisTypes.Record): void;
export declare function parseRecord(record: P2P.ApoptosisTypes.Record): P2P.CycleParserTypes.Change;
export declare function sendRequests(): void;
export declare function apoptosizeSelf(message: string, userFriendlyMessage?: string): Promise<void>;
export declare function isApopMarkedNode(id: string): boolean;
/** STORAGE DATA */
export declare const addCycleFieldQuery: string;
export declare const sequelizeCycleFieldModel: {
    apoptosized: {
        type: SQLDataTypes;
        allowNull: boolean;
    };
};
